Pool
Get Pool Wallets By Wallet Id
GET
header
AuthorizationBearer <token>Scope: pool-wallets:read
wallet_id*stringThe pool wallet.
application/json- response
An account-level pool wallet (pool_balance). Has no subaccount. Internal provider/AML fields are omitted from the public API.
id*stringWallet ID (wal_…).
account_id*stringOwning account ID (acc_…).
asset*stringnetwork*stringaddress*stringaddress_tag?stringMemo / destination tag, when set.
wallet_type*"pool_balance"Value in
"pool_balance"wallet_short_description?stringis_active*booleanautoexchange*booleanautoexchange_destination_bank_account_id?stringDestination bank account for auto-exchange, when configured.
created_at*stringFormat
date-timeupdated_at*stringFormat
date-timecurl -X GET 'https://api.betaramps.com/pool/wallets/string'Example Response
{ "id": "wal_0192f4e6-1a2b-7c3d-8e4f-5a6b7c8d9e01", "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "asset": "USDT", "network": "tron", "address": "TR7NHqJeYQxXgjUbi9y7GnKJkMofT4zzNF", "wallet_type": "pool_balance", "is_active": true, "autoexchange": false, "created_at": "2026-10-30T12:00:00Z", "updated_at": "2026-10-30T12:00:00Z"}